// viewport.js - Return viewport size and offset
//
// Created by Brian Katzung, Kappa Computer Solutions, LLC
//
// Based on http://www.quirksmode.org/viewport/compatibility.html

function getViewPort ()
{
	var vp = new Object

	if (window.innerHeight) // all except Explorer
	{
		vp.width = window.innerWidth
		vp.height = window.innerHeight
		vp.left = window.pageXOffset
		vp.top = window.pageYOffset
	}
	else if (document.documentElement &&
	  document.documentElement.clientHeight)
		// Explorer 6 Strict Mode
	{
		vp.width = document.documentElement.clientWidth
		vp.height = document.documentElement.clientHeight
		vp.left = document.documentElement.scrollLeft
		vp.top = document.documentElement.scrollTop
	}
	else if (document.body) // other Explorers
	{
		vp.width = document.body.clientWidth
		vp.height = document.body.clientHeight
		vp.left = document.body.scrollLeft
		vp.top = document.body.scrollTop
	}

	return vp
}

// End
